# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileFilter Class Reference

A KFileFilter is a simple base class for file filters. Base class for file filters. More...

`#include <kfilefilter.h>`

Inheritance diagram for KFileFilter:

[legend]
List of all members.

## Public Member Functions

virtual bool | passesFilter (const KFileItem *item) const =0

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

A KFileFilter is a simple base class for file filters. Base class for file filters.

Just reimplement passesFilter().

Definition at line 41 of file kfilefilter.h.

## Member Function Documentation

virtual bool KFileFilter::passesFilter | ( | const KFileItem * | item | ) | const`[pure virtual]`

Checks the given `item`.

Parameters:

  | item | the item to filter

Returns:
  true if the `item` passes the filter, false otherwise

Implemented in KSimpleFileFilter.

The documentation for this class was generated from the following files:

- kfilefilter.h
- kfilefilter.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:37 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003